Issue 9866

Title
ModelStorage.copy relies on uniqueness of records
Priority
bug
Status
resolved
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
backport, review

Created on 2020-11-23.11:22:26 by ced, last changed 2 days ago by roundup-bot.

Messages

New changeset deed3aaffe2a by Cédric Krier in branch 'default':
Update translate field of all copied records
https://hg.tryton.org/tryton-env/rev/deed3aaffe2a
New changeset 162c79d3b45b by Cédric Krier in branch 'default':
Update translate field of all copied records
https://hg.tryton.org/trytond/rev/162c79d3b45b

New changeset 9da9d1618bec by Cédric Krier in branch 'default':
Test copy translation
https://hg.tryton.org/trytond/rev/9da9d1618bec
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-01-03.18:01:08

Here is review353091002.
I included also some refactoring to remove bad names like datas and usage of \. This will be committed separately like the new tests for the backport.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-11-23.11:22:26

The id2new_record variable used to update translated fields is missing records when a record is passed multiple times in the list of records to copy.

History
Date User Action Args
2021-01-18 23:21:40roundup-botsetmessages: + msg63963
2021-01-18 23:21:25roundup-botsetmessages: + msg63962
nosy: + roundup-bot
status: testing -> resolved
2021-01-03 18:18:17reviewbotsetmessages: + msg63746
nosy: + reviewbot
2021-01-03 18:01:08cedsetkeyword: + backport, review
messages: + msg63745
reviews: 353091002
status: in-progress -> testing
2021-01-03 17:56:43cedsetassignedto: ced
status: unread -> in-progress
2020-11-23 11:22:26cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)